Option Explicit On 
Option Strict On
Option Compare Binary

Imports System

' <remarks>
'   Stellt den Einsprungspunkt der Anwendung bereit.
' </remarks>
Public Class Main

    ' <summary>
    '   Der Einsprungspunkt der Anwendung.
    ' </summary>
    Public Shared Sub Main()

        ' Knapsack-Solver mit Beispieldaten vorbereiten.
        Dim ks As New KnapsackSolver()
        ks.KnapsackSize = 14.2
        ks.Objects = New KnapsackObject() { _
            New KnapsackObject(12.1, 7.9, 1), _
            New KnapsackObject(1.2, 12.1, 2), _
            New KnapsackObject(7.9, 3.5, 3), _
            New KnapsackObject(3.5, 1.2, 4), _
            New KnapsackObject(9.6, 9.6, 5) _
        }

        ' Knapsack-Problem lsen.
        Console.WriteLine(ks.Solve().ToString())
    End Sub
End Class